classification
Title: Document PEP 495 (Local Time Disambiguation) features
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: 24773 Superseder:
Assigned To: belopolsky Nosy List: akira, belopolsky, haypo, python-dev, stub, tim.peters
Priority: normal Keywords: patch

Created on 2016-07-22 22:52 by belopolsky, last changed 2016-08-24 22:30 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue27595.diff belopolsky, 2016-08-08 19:05 review
Messages (3)
msg271041 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2016-07-22 22:52
PEP 495 has been implemented in issue 24773.  This issue is created to track the necessary changes to the datetime module documentation.
msg272190 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2016-08-08 19:05
I am attaching the first cut of the documentation changes.  Note that I am deliberately trying to keep the information about the fold to the minimum in the reference manual.  I don't think the details of how fold works are of interest to anyone other then those who implement the tzinfo subclasses.
msg273604 - (view) Author: Roundup Robot (python-dev) Date: 2016-08-24 22:30
New changeset dcd6d6be81a7 by Alexander Belopolsky in branch 'default':
Closes #27595: Document PEP 495 (Local Time Disambiguation) features.
https://hg.python.org/cpython/rev/dcd6d6be81a7
History
Date User Action Args
2016-08-24 22:30:24python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg273604

resolution: fixed
stage: commit review -> resolved
2016-08-24 20:32:09belopolskysetstage: needs patch -> commit review
2016-08-08 19:05:23belopolskysetfiles: + issue27595.diff
keywords: + patch
messages: + msg272190
2016-07-22 22:54:10belopolskylinkissue24773 superseder
2016-07-22 22:53:22belopolskysetdependencies: + Implement PEP 495 (Local Time Disambiguation)
2016-07-22 22:52:34belopolskycreate